FGFS(1)

NAME
fgfs - FlightGear Flight Simulator

SYNOPSIS
fgfs [ option ] ...

DESCRIPTION
FlightGear is a free, open-source, multi-platform, and sophisticated flight simulator framework for the development and pursuit of interesting flight simulator ideas. For more information visit <http://www.flightgear.org>.

OPTIONS

--adf=[rotation:]frequency
    Specify the initial ADF radio frequency. Optionally may be preceded by a card rotation.

--aero=name
    Specify aerodynamics model to load.

--aircraft=name
    Specify aircraft to load.

--aircraft-dir=path
    Specify the exact directory to use for the aircraft (normally not required, but may be useful for testing).

--airport=id
    Specify starting postion by airport ID.

--altitude=value
    Specify starting altitude (in feet unless --units-meters specified).

--atc610x
    Enable atc610x interface.

--atlas=medium,direction,hz,options,...
    Open an IO connection using the Atlas protocol.

--bpp=depth
    Specify the bits per pixel for the renderer.

--browser-app=path
    Specify location of your web browser.

--callsign=value
    Specify a unique name for multiplayer play.

--ceiling=value[:thickness]
    Create an overcast ceiling (feet above sea level). May optionally specify a thickness (feet) which defaults to 2000.

--com1=frequency
    Set the initial COM1 radio frequency.

--com2=frequency
    Set the initial COM2 radio frequency.

--config=path
    Load additional properties from path. Multiple instances of this option are recognized.

--dme={nav1|nav2|frequency}
    Specify the NAV radio from which to slave the ADF or set its internal frequency.

--disable-anti-alias-hud
    Disable anti-aliased HUD.

--disable-auto-coordination
    Disable auto coordination between aileron and rudder.

--disable-clock-freeze
    Disable clock freezing so that time advances normally.

--disable-clouds
    Disable cloud rendering.

--disable-distance-attenuation
    Disable runway light distance attenuation.

--disable-enhanced-lighting
    Disable enhanced runway lighting.

--disable-freeze
    Start out in a running state.

--disable-fuel-freeze
    Disable fuel freeze (enabling fuel consumption).

--disable-fullscreen
    Disable fullscreen mode.

--disable-horizon-effect
    Disable celestial body growth illusion near the horizon..

--disable-hud
    Disable 2D HUD.

--disable-hud-3d
    Disable 3D HUD.

--disable-mouse-pointer
    Disable extra mouse pointer.

--disable-panel
    Disable instrument panel.

--disable-random-objects
    Disable random scenery objects (buildings, trees, etc).

--disable-sound
    Disable sound effects.

--disable-specular-highlight
    Disable specular reflections on textured objects.

--disable-splash-screen
    Disable splash screen.

--disable-wireframe
    Disable wireframe drawing mode.

--enable-anti-alias-hud
    Enable anti-aliased HUD.

--enable-auto-coordination
    Enable auto coordination between aileron and rudder.

--enable-clock-freeze
    Enable clock freezing so that time does not advance.

--enable-clouds
    Enable cloud rendering.

--enable-distance-attenuation
    Enable runway light distance attenuation.

--enable-enhanced-lighting
    Enable enhanced runway lighting.

--enable-freeze
    Start out in a frozen state.

--enable-fuel-freeze
    Enable fuel freeze (disabling fuel consumption).

--enable-fullscreen
    Enable fullscreen mode.

--enable-horizon-effect
    Enable celestial body growth illusion near the horizon.

--enable-hud
    Enable 2D HUD.

--enable-hud-3d
    Enable 3D HUD.

--enable-mouse-pointer
    Enable extra mouse pointer (i.e. for full screen voodoo/voodoo-II based cards.)

--enable-panel
    Enable instrument panel.

--enable-random-objects
    Enable random scenery objects (buildings, trees, etc).

--enable-sound
    Enable sound effects.

--enable-specular-highlight
    Enable specular reflections on textured objects.

--enable-splash-screen
    Enable splash screen.

--enable-wireframe
    Enable wireframe drawing mode.

--failure=system
    Fail a system on the aircraft. System may be one of pitot, static, vacuum, or electrical. Multiple instances allowed.

--fdm=name
    Specify the flight dynamics model to use. Name may be one of jsb, larcsim, yasim, magic, balloon, ada, external, or null.

--fg-aircraft=path
    Specify an additional path to search for aircraft directories. (can be repeated)

--fg-root=path
    Specify the root path for data files.

--fg-scenery=path
    Specify the base path for scenery data.

--fix=ID
    Specify starting position relative to a fix.

--flight-plan=file
    Read all waypoints from the specified file.

--fog-disable
    Disable fog rendering.

--fog-fastest
    Enable fastest fog rendering.

--fog-nicest
    Enable nicest fog rendering.

--fov=degrees
    Specify initial field of view angle (degrees).

--garmin=medium,direction,hz,options,...
    Open an IO connection using the Garmin GPS protocol.

--generic=params
    Open connection using the serial port protocol. See README.IO for details.

--geometry=WxH
    Specify window geometry (ie. 640x480, 800x600, etc).

--heading=degrees
    Specify heading or yaw angle (degrees).

--help, -h
    Show a brief help message. Use --verbose,-v for a full listing of options.

--httpd=port
    Start an HTTP server on the specified port.

--hud-culled
    HUD displays percentage of triangles culled.

--hud-tris
    HUD displays number of triangles rendered.

--in-air
    Start up in the air. This is implied when specifying an initial altitude above ground level.

--joyclient=medium,direction,hz,options,...
    Open an IO connection to an Agwagon joystick.

--jpg-httpd=port
    Start a screen shot HTTP server on the specified port.

--lat=degrees
    Specify starting latitude (degrees).

--log-level=value
    Set log level for this session (1..5 where 1=verbose, 5=quiet).

--lon=degrees
    Specify starting longitude (degrees).

--mach=value
    Specify initial mach number.

--model-hz=n
    Run the FDM at this rate (iterations per second).

--multiplay=direction,hz,address,port
    Specify multiplayer communication settings. Multiple instances allowed.

--native-ctrls=medium,direction,hz,options,...
    Open an IO connection using the FlightGear Native Controls protocol.

--native-fdm=medium,direction,hz,options,...
    Open an IO connection using the FlightGear Native FDM protocol.

--native=medium,direction,hz,options,...
    Open an IO connection using the FlightGear Native protocol.

--nav1=[radial:]frequency
    Specify the initial NAV1 radio frequency. Optionally may be preceded by a radial value.

--nav2=[radial:]frequency
    Specify the initial NAV2 radio frequency. Optionally may be preceded by a radial value.

--ndb=ID
    Specify starting position relative to an NDB.

--nmea=medium,direction,hz,options,...
    Open an IO connection using the NMEA protocol.

--notrim
    Do not attempt to trim the model when initializing the JSBSim FDM.

--offset-azimuth=degrees
    specify heading to threshhold (degrees).

--offset-distance=nm
    Specify distance to threshhold (nautical miles).

--on-ground
    Start up at ground level.

--opengc=medium,direction,hz,options,...
    Open an IO connect to an OpenGC host.

--pitch=degrees
    Specify pitch angle (degrees).

--props=medium,direction,hz,options,...
    Specify an IO device in which to provide an interactive property manager.

--prop:name=value
    set property <name> to <value>.

--pve=medium,direction,hz,options,...
    Open an IO connection using the PVE (Provision Entertainment) protocol.

--random-wind
    Randomize initial wind parameters. See also: --wind.

--ray=medium,direction,hz,options,...
    Open an IO connection to a "RayWoodworth" motion chair.

--roll=degrees
    Specify roll angle (degrees).

--rul=medium,direction,hz,options,...
    Open an IO connection using the RUL protocol.

--shading-flat
    Enable flat shading.

--shading-smooth
    Enable smooth shading.

--show-aircraft
    Show a listing of all available aircraft.

--speed=n
    Run the FDM "n" times faster than real-time.

--start-date-gmt=yyyy:mm:dd:hh:mm:ss
    Specify a starting date/time with respect to GMT (Greenwich Mean Time).

--start-date-lat=yyyy:mm:dd:hh:mm:ss
    Specify a starting date/time with respect to Local Aircraft Time.

--start-date-sys=yyyy:mm:dd:hh:mm:ss
    Specify a starting date/time with respect to your local system time.

--telnet=port
    Start a telnet interface to the property manager on the specified port.

--timeofday=value
    Specify a time of day. Value may be one of dawn, dusk, noon, or midnight.

--time-match-local
    Synchronize time with local real-world time.

--time-match-real
    Synchronize time with the real-world time.

--time-offset=[+-]hh:mm:ss
    Specify a time offset with respect to the current time.

--trace-read=property
    Trace the reads for a property. Multiple instances allowed.

--trace-write=property
    Trace the writes for a property. Multiple instances allowed.

--turbulence=value
    Specify turbulence from 0.0 (calm) to 1.0 (severe).

--uBody=value
    Specify velocity along the body X axis (feet per second unless --units-meters specified).

--units-feet
    Use feet instead of meters. Affects other options as well as the values displayed by the HUD.

--units-meters
    Use meters instead of feet. Affects other options as well as the values displayed by the HUD.

--vBody=value
    Specify velocity along the body Y axis (feet per second unless --units-meters specified).

--vc=knots
    Specify initial airspeed (knots).

--view-offset=value
    Specify the default forward view direction as an offset from straight ahead. Allowable values are LEFT, RIGHT, CENTER, or a specific number of degrees.

--verbose, -v
    Show verbose help message.

--visibility-miles=value
    Specify initial visibility (miles).

--visibility=value
    Specify initial visibility (meters).

--vor=ID
    Specify starting position relative to a VOR.

--wBody=value
    Specify velocity along the body Z axis (feet per second unless --units-meters specified).

--wind=DIR@SPEED
    Specify wind coming from DIR (degrees) at SPEED (knots). Values may be specified as a range by using a colon separator; for example, 180:220@10:15.

--wp=ID[@alt]
    Specify a waypoint for the GC autopilot. Multiple instances of this option are recognized in build a route.

ENVIRONMENT

$FG_ROOT
    Path used to locate data files.

FILES
~/.fgfsrc
    Per user configuration file.

$FG_ROOT/system.fgfsrc
    System-wide configuration file in command line format.

$FG_ROOT/preferences.xml
    System-wide configuration file in XML format.

$FG_ROOT/keyboard.xml
    Keyboard bindings.

$FG_ROOT/Input/Joysticks/
    Joystick bindings.

$FG_ROOT/mice.xml
    Mouse bindings.

BUGS
Send bug reports to <flightgear-devel@lists.sourceforge.net> or visit <http://code.google.com/p/flightgear-bugs>.

SEE ALSO
fgjs(1), fgpanel(1), js_demo(1), terrasync(1)

AUTHORS
Curt L. Olson, et al. See Thanks file for a list of contributors.